Run shellcheck (install.sh)

This commit is contained in:
Santiago Lo Coco 2022-01-14 01:30:19 -03:00
parent 213a00d032
commit 9a08be907d
3 changed files with 6 additions and 5 deletions

1
CocoRice.log Normal file
View File

@ -0,0 +1 @@
hola

View File

@ -129,4 +129,4 @@ runScript() {
cd "$lastFolder" || { echo "Couldn't cd into '$lastFolder'." 1>&2 && exit 1; }
}
runScript "$@"
runScript "$@"

View File

@ -2,13 +2,13 @@
cloneAndMake() {
displayDialogBox --infobox "Downloading ${1}" VALUES
git clone $2 2>&1 | debug
(cd $1; sudo make install 2>&1 | debug)
git clone "$2" 2>&1 | debug
(cd "$1" || { echo "Couldn't cd into '$1'." 1>&2 && exit 1; }; sudo make install 2>&1 | debug)
}
downloadAndInstallPackages() {
DOTFILES_CONFIG=$HOME/.config
cd $DOTFILES_CONFIG
DOTFILES_CONFIG="$HOME/.config"
cd "$DOTFILES_CONFIG" || { echo "Couldn't cd into '$DOTFILES_CONFIG'." 1>&2 && exit 1; }
if [[ ! -d "dwmblocks" ]]; then
cloneAndMake "dwmblocks" "https://github.com/santilococo/dwmblocks.git"